﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;
using Syncfusion.Windows.Forms.Diagram.Controls;

namespace Incident126149
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
            Initialize();
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'diagramDataSet.databind' table. You can move, or remove it, as needed.
            this.databindTableAdapter1.Fill(this.diagramDataSet.databind);
            diagramDataSetTableAdapters.databindTableAdapter cbn = new diagramDataSetTableAdapters.databindTableAdapter();

            Syncfusion.Windows.Forms.Diagram.Ellipse Ellipse = new Syncfusion.Windows.Forms.Diagram.Ellipse(100, 100, 100, 70, MeasureUnits.Pixel);
            Ellipse.FillStyle.Color = Color.Maroon;
            Ellipse.FillStyle.ForeColor = Color.White;
            Ellipse.FillStyle.Type = FillStyleType.LinearGradient;
            Ellipse.FillStyle.PathBrushStyle = PathGradientBrushStyle.RectangleCenter;
            Ellipse.LineStyle.LineWidth = 0;
          
            diagram1.Binding.Label.Add("Id");
            diagram1.Binding.Id = "Id";
            diagram1.Binding.ParentId = "ParentId";
            DataTable table = new DataTable("alldata");
            string command = "SELECT * FROM databind ";

            using (SqlConnection conn = new SqlConnection(cbn.Connection.ConnectionString))
            {
                using (SqlCommand cmd = new SqlCommand(command, conn))
                {
                    SqlDataAdapter adapt = new SqlDataAdapter(cmd);
                    conn.Open();
                    adapt.Fill(table);
                    //Passing the table data to DataSource
                    diagram1.Binding.DataSource = table;
                    conn.Close();
                }
            }
            HierarchicLayoutManager tbl = new HierarchicLayoutManager();
            tbl.TopMargin = 50;
            tbl.LeftMargin = 50;
            tbl.RotateDirection = RotateDirection.TopToBottom;
            this.reportViewer1.RefreshReport();
        }

        private void Initialize()
        {
            this.diagram1.BeginUpdate();
            this.diagram1.View.Grid.GridStyle = GridStyle.Line;
            this.diagram1.View.Grid.DashStyle = System.Drawing.Drawing2D.DashStyle.Dot;
            this.diagram1.View.Grid.Color = Color.LightGray;
            this.diagram1.View.Grid.VerticalSpacing = 15;
            this.diagram1.View.Grid.HorizontalSpacing = 15;
            this.diagram1.Model.BackgroundStyle.GradientCenter = 0.5f;
            this.diagram1.View.HandleRenderer.HandleColor = Color.AliceBlue;
            this.diagram1.View.HandleRenderer.HandleOutlineColor = Color.SkyBlue;
            HierarchicLayoutManager hlm = new HierarchicLayoutManager();
            hlm.AutoLayout = true;
            hlm.HorizontalSpacing = 20;
            hlm.VerticalSpacing = 40;
            hlm.TopMargin = 100;
            hlm.LeftMargin = 100;
            this.diagram1.LayoutManager = hlm;
            this.diagram1.Model.HistoryManager.StartAtomicAction("LayoutNodes");
            hlm.Model = this.diagram1.Model;
            this.diagram1.LayoutManager = hlm;
            this.diagram1.LayoutManager.UpdateLayout(null);
            this.diagram1.View.SelectionList.Clear();
            this.diagram1.EndUpdate();
        }

        private void comboBox1_SelectedValueChanged(object sender, System.EventArgs e)
        {
            if (comboBox1.SelectedItem.ToString() == "RadialTreeLayoutManager")
            {
                RadialTreeLayoutManager tbl = new RadialTreeLayoutManager();
                tbl.TopMargin = 70;
                tbl.LeftMargin = 100;
                tbl.HorizontalSpacing = 50;
                tbl.VerticalSpacing = 50;
                tbl.RotationAngle = 100;
                diagram1.LayoutManager = tbl;
                diagram1.Model = tbl.Model;
                diagram1.LayoutManager = tbl;
                diagram1.LayoutManager.UpdateLayout(null);
                diagram1.View.SelectionList.Clear();
            }
            if (comboBox1.SelectedItem.ToString() == "HierarchicLayoutManager")
            {
                HierarchicLayoutManager tbl = new HierarchicLayoutManager();
                tbl.TopMargin = 50;
                tbl.LeftMargin = 50;
                //tbl.RotateDirection = RotateDirection.BottomToTop;
                diagram1.LayoutManager = tbl;
                diagram1.Model = tbl.Model;
                diagram1.LayoutManager = tbl;
                diagram1.LayoutManager.UpdateLayout(null);
                diagram1.View.SelectionList.Clear();
            }
            if (comboBox1.SelectedItem.ToString() == "DirectedTreeLayoutManager")
            {
                DirectedTreeLayoutManager tbl = new DirectedTreeLayoutManager();
                tbl.TopMargin = 50;
                tbl.LeftMargin = 50;
                diagram1.LayoutManager = tbl;
                diagram1.Model = tbl.Model;
                diagram1.LayoutManager = tbl;
                diagram1.LayoutManager.UpdateLayout(null);
                diagram1.View.SelectionList.Clear();
            }
            //if (comboBox1.SelectedItem.ToString() == "OrgChartLayoutManager")
            //{
            //    OrgChartLayoutManager tbl = new OrgChartLayoutManager(this.diagram1.Model, RotateDirection.TopToBottom, 20, 50);
            //    diagram1.LayoutManager = tbl;
            //    diagram1.Model = tbl.Model;
            //    diagram1.LayoutManager = tbl;
            //    diagram1.LayoutManager.UpdateLayout(null);
            //    diagram1.View.SelectionList.Clear();
            //}
            if (comboBox1.SelectedItem.ToString() == "SubgraphTreeLayoutManager")
            {
                SubgraphTreeLayoutManager tbl = new SubgraphTreeLayoutManager();
                tbl.TopMargin = 50;
                tbl.LeftMargin = 50;
                diagram1.LayoutManager = tbl;
                diagram1.Model = tbl.Model;
                diagram1.LayoutManager = tbl;
                diagram1.LayoutManager.UpdateLayout(null);
                diagram1.View.SelectionList.Clear();
            }
            if (comboBox1.SelectedItem.ToString() == "SymmetricLayoutManager")
            {
                SymmetricLayoutManager tbl = new SymmetricLayoutManager();
                tbl.TopMargin = 50;
                tbl.LeftMargin = 50;
                tbl.VerticalSpacing = 50;
                tbl.HorizontalSpacing = 100;
                tbl.SpringLength = 150;
                diagram1.LayoutManager = tbl;
                diagram1.Model = tbl.Model;
                diagram1.LayoutManager = tbl;
                diagram1.LayoutManager.UpdateLayout(null);
                diagram1.View.SelectionList.Clear();
            }
        }
    }
}
